[Testing Update] 2017-05-10 - Kernel, Virtualbox, Haskell, Gnome

Hi community,

this is really a smaller update. We have now the end of life for linux312 series, a fixed Virtualbox, updated Haskell packages and latest Gnome updates.

Please test and give us feedback as usual


Current supported Kernels

  • linux310 3.10.105
  • linux312 3.12.74 [EOL]
  • linux316 3.16.42
  • linux318 3.18.52
  • linux41 4.1.39
  • linux44 4.4.67
  • linux48 4.8.17 [EOL]
  • linux49 4.9.27
  • linux410 4.10.15
  • linux411 4.11.0
  • linux-RT-LTS 4.4.60_rt73
  • linux-RT 4.9.20_rt16

Package Updates (Wed May 10 08:32:10 CEST 2017)

  • testing community i686: 77 new and 77 removed package(s)
  • testing community x86_64: 77 new and 77 removed package(s)
  • testing core i686: 2 new and 2 removed package(s)
  • testing core x86_64: 2 new and 2 removed package(s)
  • testing extra i686: 27 new and 27 removed package(s)
  • testing extra x86_64: 27 new and 27 removed package(s)
  • testing multilib x86_64: 4 new and 4 removed package(s)
:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                              consul              0.8.1-2              0.8.2-1
                               darcs            2.12.5-26            2.12.5-27
                         emby-server           3.2.14.0-1           3.2.15.0-1
                               gerbv              2.6.1-4              2.6.2-1
                           git-annex        6.20170321-40        6.20170321-41
               haskell-asn1-encoding              0.9.5-7              0.9.5-8
                  haskell-asn1-parse             0.9.4-18             0.9.4-19
                  haskell-asn1-types             0.3.2-14             0.3.2-15
                haskell-authenticate           1.3.3.2-74           1.3.3.2-75
                         haskell-aws              0.16-28              0.16-29
                  haskell-cipher-aes            0.2.11-12            0.2.11-13
               haskell-clientsession           0.9.1.2-14           0.9.1.2-15
                  haskell-connection              0.2.8-7              0.2.8-8
                   haskell-cprng-aes             0.6.1-14             0.6.1-15
         haskell-crypto-cipher-types             0.0.9-12             0.0.9-13
              haskell-crypto-numbers             0.2.7-11             0.2.7-12
               haskell-crypto-pubkey             0.2.8-16             0.2.8-17
         haskell-crypto-pubkey-types             0.4.3-11             0.4.3-12
               haskell-crypto-random             0.0.9-14             0.0.9-15
                  haskell-cryptohash            0.11.9-20            0.11.9-21
          haskell-cryptohash-conduit             0.1.1-70             0.1.1-71
                  haskell-cryptonite               0.22-7               0.22-8
          haskell-cryptonite-conduit             0.2.0-13             0.2.0-14
                         haskell-dav             1.3.1-91             1.3.1-92
                  haskell-foundation              0.0.8-1              0.0.9-1
                      haskell-hakyll           4.9.5.1-51           4.9.5.1-52
                         haskell-hit             0.6.3-28             0.6.3-29
                    haskell-hopenpgp             2.5.5-60             2.5.5-61
             haskell-http-client-tls            0.3.4.1-6            0.3.4.1-7
                haskell-http-conduit           2.2.3.1-24           2.2.3.1-25
                      haskell-memory             0.14.5-1             0.14.5-2
                      haskell-nettle             0.2.0-10             0.2.0-11
                       haskell-nonce             1.0.2-15             1.0.2-16
                      haskell-pandoc          1.19.2.1-49          1.19.2.1-50
             haskell-pandoc-citeproc          0.10.4.1-42          0.10.4.1-43
             haskell-pandoc-crossref           0.2.5.0-35           0.2.5.0-36
                  haskell-pipes-http             1.0.5-28             1.0.5-29
                   haskell-securemem             0.1.9-12             0.1.9-13
                       haskell-stack             1.4.0-44             1.4.0-45
                       haskell-store            0.4.3.1-1            0.4.3.1-2
                         haskell-tls             1.3.10-8             1.3.10-9
              haskell-wai-app-static           3.1.6.1-54           3.1.6.1-55
                    haskell-warp-tls             3.2.3-22             3.2.3-23
                        haskell-x509             1.6.5-13             1.6.5-14
                  haskell-x509-store             1.6.2-14             1.6.2-15
                 haskell-x509-system             1.6.4-14             1.6.4-15
             haskell-x509-validation             1.6.5-14             1.6.5-15
                       haskell-yesod             1.4.5-36             1.4.5-37
                  haskell-yesod-auth            1.4.17-42            1.4.17-43
                  haskell-yesod-core            1.4.33-17            1.4.33-18
               haskell-yesod-default            1.2.0-141            1.2.0-142
                  haskell-yesod-form            1.4.11-38            1.4.11-39
            haskell-yesod-persistent             1.4.2-33             1.4.2-34
                haskell-yesod-static             1.5.2-32             1.5.2-33
                              hoogle             5.0.12-1             5.0.12-2
                      hopenpgp-tools            0.19.4-83            0.19.4-84
                          latte-dock              0.6.1-1              0.6.2-1
                             libgiac           1.2.3.39-1           1.2.3.41-1
                         mate-polkit             1.18.0-1             1.18.1-1
                                 ode               0.14-1             0.15.1-1
                              pandoc          1.19.2.1-49          1.19.2.1-50
                     pandoc-citeproc          0.10.4.1-42          0.10.4.1-43
                     pandoc-crossref           0.2.5.0-35           0.2.5.0-36
                          purescript             0.11.4-3             0.11.4-4
                    python-construct             2.8.11-1             2.8.12-1
                       python-peewee             2.10.0-1             2.10.1-1
                   python2-construct             2.8.11-1             2.8.12-1
                      python2-peewee             2.10.0-1             2.10.1-1
                               stack             1.4.0-44             1.4.0-45
                          virtualbox             5.1.22-1             5.1.22-2
                  virtualbox-ext-vnc             5.1.22-1             5.1.22-2
               virtualbox-guest-dkms             5.1.22-1             5.1.22-2
              virtualbox-guest-utils             5.1.22-1             5.1.22-2
          virtualbox-guest-utils-nox             5.1.22-1             5.1.22-2
                virtualbox-host-dkms             5.1.22-1             5.1.22-2
                      virtualbox-sdk             5.1.22-1             5.1.22-2
                                xcas           1.2.3.39-1           1.2.3.41-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                              consul              0.8.1-2              0.8.2-1
                               darcs            2.12.5-26            2.12.5-27
                         emby-server           3.2.14.0-1           3.2.15.0-1
                               gerbv              2.6.1-4              2.6.2-1
                           git-annex        6.20170321-40        6.20170321-41
               haskell-asn1-encoding              0.9.5-7              0.9.5-8
                  haskell-asn1-parse             0.9.4-18             0.9.4-19
                  haskell-asn1-types             0.3.2-14             0.3.2-15
                haskell-authenticate           1.3.3.2-74           1.3.3.2-75
                         haskell-aws              0.16-28              0.16-29
                  haskell-cipher-aes            0.2.11-12            0.2.11-13
               haskell-clientsession           0.9.1.2-14           0.9.1.2-15
                  haskell-connection              0.2.8-7              0.2.8-8
                   haskell-cprng-aes             0.6.1-14             0.6.1-15
         haskell-crypto-cipher-types             0.0.9-12             0.0.9-13
              haskell-crypto-numbers             0.2.7-11             0.2.7-12
               haskell-crypto-pubkey             0.2.8-16             0.2.8-17
         haskell-crypto-pubkey-types             0.4.3-11             0.4.3-12
               haskell-crypto-random             0.0.9-14             0.0.9-15
                  haskell-cryptohash            0.11.9-20            0.11.9-21
          haskell-cryptohash-conduit             0.1.1-70             0.1.1-71
                  haskell-cryptonite               0.22-7               0.22-8
          haskell-cryptonite-conduit             0.2.0-13             0.2.0-14
                         haskell-dav             1.3.1-91             1.3.1-92
                  haskell-foundation              0.0.8-1              0.0.9-1
                      haskell-hakyll           4.9.5.1-51           4.9.5.1-52
                         haskell-hit             0.6.3-28             0.6.3-29
                    haskell-hopenpgp             2.5.5-60             2.5.5-61
             haskell-http-client-tls            0.3.4.1-6            0.3.4.1-7
                haskell-http-conduit           2.2.3.1-24           2.2.3.1-25
                      haskell-memory             0.14.5-1             0.14.5-2
                      haskell-nettle             0.2.0-10             0.2.0-11
                       haskell-nonce             1.0.2-15             1.0.2-16
                      haskell-pandoc          1.19.2.1-49          1.19.2.1-50
             haskell-pandoc-citeproc          0.10.4.1-42          0.10.4.1-43
             haskell-pandoc-crossref           0.2.5.0-35           0.2.5.0-36
                  haskell-pipes-http             1.0.5-28             1.0.5-29
                   haskell-securemem             0.1.9-12             0.1.9-13
                       haskell-stack             1.4.0-44             1.4.0-45
                       haskell-store            0.4.3.1-1            0.4.3.1-2
                         haskell-tls             1.3.10-8             1.3.10-9
              haskell-wai-app-static           3.1.6.1-54           3.1.6.1-55
                    haskell-warp-tls             3.2.3-22             3.2.3-23
                        haskell-x509             1.6.5-13             1.6.5-14
                  haskell-x509-store             1.6.2-14             1.6.2-15
                 haskell-x509-system             1.6.4-14             1.6.4-15
             haskell-x509-validation             1.6.5-14             1.6.5-15
                       haskell-yesod             1.4.5-36             1.4.5-37
                  haskell-yesod-auth            1.4.17-42            1.4.17-43
                  haskell-yesod-core            1.4.33-17            1.4.33-18
               haskell-yesod-default            1.2.0-141            1.2.0-142
                  haskell-yesod-form            1.4.11-38            1.4.11-39
            haskell-yesod-persistent             1.4.2-33             1.4.2-34
                haskell-yesod-static             1.5.2-32             1.5.2-33
                              hoogle             5.0.12-1             5.0.12-2
                      hopenpgp-tools            0.19.4-83            0.19.4-84
                          latte-dock              0.6.1-1              0.6.2-1
                             libgiac           1.2.3.39-1           1.2.3.41-1
                         mate-polkit             1.18.0-1             1.18.1-1
                                 ode               0.14-1             0.15.1-1
                              pandoc          1.19.2.1-49          1.19.2.1-50
                     pandoc-citeproc          0.10.4.1-42          0.10.4.1-43
                     pandoc-crossref           0.2.5.0-35           0.2.5.0-36
                          purescript             0.11.4-3             0.11.4-4
                    python-construct             2.8.11-1             2.8.12-1
                       python-peewee             2.10.0-1             2.10.1-1
                   python2-construct             2.8.11-1             2.8.12-1
                      python2-peewee             2.10.0-1             2.10.1-1
                               stack             1.4.0-44             1.4.0-45
                          virtualbox             5.1.22-1             5.1.22-2
                  virtualbox-ext-vnc             5.1.22-1             5.1.22-2
               virtualbox-guest-dkms             5.1.22-1             5.1.22-2
              virtualbox-guest-utils             5.1.22-1             5.1.22-2
          virtualbox-guest-utils-nox             5.1.22-1             5.1.22-2
                virtualbox-host-dkms             5.1.22-1             5.1.22-2
                      virtualbox-sdk             5.1.22-1             5.1.22-2
                                xcas           1.2.3.39-1           1.2.3.41-1


:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                            linux312            3.12.73-1            3.12.74-1
                    linux312-headers            3.12.73-1            3.12.74-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                            linux312            3.12.73-1            3.12.74-1
                    linux312-headers            3.12.73-1            3.12.74-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                  linux312-acpi_call             1.1.0-30             1.1.0-31
                   linux312-bbswitch               0.8-36               0.8-37
                linux312-broadcom-wl       6.30.223.271-4       6.30.223.271-5
                   linux312-catalyst     1:15.201.1151-17     1:15.201.1151-18
                linux312-ndiswrapper               1.61-4               1.61-5
                     linux312-nvidia           1:375.66-1           1:375.66-2
               linux312-nvidia-304xx          1:304.134-4          1:304.134-5
               linux312-nvidia-340xx            340.101-4            340.101-5
                   linux312-nvidiabl              0.88-17              0.88-18
      linux312-open-vm-tools-modules      2:2013.09.16-30      2:2013.09.16-31
                      linux312-r8168           8.044.02-1           8.044.02-2
                  linux312-rt3562sta         2.4.1.1_r4-4         2.4.1.1_r4-5
                        linux312-spl            0.6.5.9-3            0.6.5.9-4
                   linux312-tp_smapi              0.41-39              0.41-40
                linux312-vhba-module           20161009-4           20161009-5
   linux312-virtualbox-guest-modules             5.1.22-1             5.1.22-2
    linux312-virtualbox-host-modules             5.1.22-1             5.1.22-2
                        linux312-zfs            0.6.5.9-3            0.6.5.9-4


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                       gnome-builder             3.24.1-2             3.24.2-1
          gnome-getting-started-docs             3.24.0-1             3.24.1-1
                         gnome-music           3.24.1.1-1             3.24.2-1
               gnome-settings-daemon 3.24.1+7+g42f75ed4-1             3.24.2-1
                            libunrar            1:5.4.5-1            1:5.5.3-1
                                 mpd             0.20.6-2             0.20.6-3
                               unrar            1:5.4.5-1            1:5.5.3-1
                          webkit2gtk             2.16.1-3             2.16.2-1
                           xdg-utils              1.1.1-5              1.1.2-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                  linux312-acpi_call             1.1.0-30             1.1.0-31
                   linux312-bbswitch               0.8-36               0.8-37
                linux312-broadcom-wl       6.30.223.271-4       6.30.223.271-5
                   linux312-catalyst     1:15.201.1151-17     1:15.201.1151-18
                linux312-ndiswrapper               1.61-4               1.61-5
                     linux312-nvidia           1:375.66-1           1:375.66-2
               linux312-nvidia-304xx          1:304.134-4          1:304.134-5
               linux312-nvidia-340xx            340.101-4            340.101-5
                   linux312-nvidiabl              0.88-17              0.88-18
      linux312-open-vm-tools-modules      2:2013.09.16-30      2:2013.09.16-31
                      linux312-r8168           8.044.02-1           8.044.02-2
                  linux312-rt3562sta         2.4.1.1_r4-4         2.4.1.1_r4-5
                        linux312-spl            0.6.5.9-3            0.6.5.9-4
                   linux312-tp_smapi              0.41-39              0.41-40
                linux312-vhba-module           20161009-4           20161009-5
   linux312-virtualbox-guest-modules             5.1.22-1             5.1.22-2
    linux312-virtualbox-host-modules             5.1.22-1             5.1.22-2
                        linux312-zfs            0.6.5.9-3            0.6.5.9-4


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                       gnome-builder             3.24.1-2             3.24.2-1
          gnome-getting-started-docs             3.24.0-1             3.24.1-1
                         gnome-music           3.24.1.1-1             3.24.2-1
               gnome-settings-daemon 3.24.1+7+g42f75ed4-1             3.24.2-1
                            libunrar            1:5.4.5-1            1:5.5.3-1
                                 mpd             0.20.6-2             0.20.6-3
                               unrar            1:5.4.5-1            1:5.5.3-1
                          webkit2gtk             2.16.1-3             2.16.2-1
                           xdg-utils              1.1.1-5              1.1.2-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-09           2017-05-10
-------------------------------------------------------------------------------
                      lib32-libepoxy              1.4.1-1              1.4.2-1
                        lib32-libqmi             1.16.2-1             1.18.0-1
                     lib32-libsodium             1.0.11-1             1.0.12-1
                        lib32-zeromq              4.2.0-1              4.2.1-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:

I had only unrar and xdg-utils.

Some more theme fixes and updates to AUR handler of Pamac:

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community i686:  9 new and 9 removed package(s)
 - testing community x86_64:  9 new and 9 removed package(s)
 - testing extra i686:  2 new and 2 removed package(s)
 - testing extra x86_64:  2 new and 2 removed package(s)

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
              breath-dark-icon-theme              0.2.0-3              0.2.1-1
                   breath-icon-theme              0.2.0-3              0.2.1-1
                    breath-wallpaper              0.2.0-3              0.2.1-1
                     maia-icon-theme              0.7.1-1                1.0-1
                      maia-wallpaper              0.7.1-1                1.0-1
               plasma5-themes-breath              0.2.0-3              0.2.1-1
                 plasma5-themes-maia              0.7.1-1                1.0-1
                   sddm-breath-theme              0.2.0-3              0.2.1-1
                     sddm-maia-theme              0.7.1-1                1.0-1


:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
              breath-dark-icon-theme              0.2.0-3              0.2.1-1
                   breath-icon-theme              0.2.0-3              0.2.1-1
                    breath-wallpaper              0.2.0-3              0.2.1-1
                     maia-icon-theme              0.7.1-1                1.0-1
                      maia-wallpaper              0.7.1-1                1.0-1
               plasma5-themes-breath              0.2.0-3              0.2.1-1
                 plasma5-themes-maia              0.7.1-1                1.0-1
                   sddm-breath-theme              0.2.0-3              0.2.1-1
                     sddm-maia-theme              0.7.1-1                1.0-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
                               pamac              4.3.4-1              4.3.4-2
             pamac-tray-appindicator              4.3.4-1              4.3.4-2


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
                               pamac              4.3.4-1              4.3.4-2
             pamac-tray-appindicator              4.3.4-1              4.3.4-2
1 Like

…flawless, even breath-themes arrived this minute (xfce).

Some more fixed packages. Mostly Gnome

### BoxIt memo ###

User philip created a snapshot of branch 'unstable' to 'testing'.

 - testing community i686:  9 new and 9 removed package(s)
 - testing community x86_64:  13 new and 11 removed package(s)
 - testing extra i686:  9 new and 9 removed package(s)
 - testing extra x86_64:  9 new and 9 removed package(s)

:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
                             aws-cli            1.11.83-1            1.11.84-1
                            filebeat              5.4.0-1              5.4.0-2
                          metricbeat              5.4.0-1              5.4.0-2
                               opera     44.0.2510.1449-1      45.0.2552.635-1
                          packetbeat              5.4.0-1              5.4.0-2
                            parallel           20170222-1           20170322-1
                     python-botocore             1.5.46-1             1.5.47-1
                        snap-confine               2.21-1               2.25-1
                               snapd               2.21-1               2.25-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
                             aws-cli            1.11.83-1            1.11.84-1
                            filebeat              5.4.0-1              5.4.0-2
                          metricbeat              5.4.0-1              5.4.0-2
                               opera     44.0.2510.1449-1      45.0.2552.635-1
                          packetbeat              5.4.0-1              5.4.0-2
                            parallel           20170222-1           20170322-1
                     python-botocore             1.5.46-1             1.5.47-1
                   python-tensorflow              1.1.0-2              1.1.0-3
                        snap-confine               2.21-1               2.25-1
                               snapd               2.21-1               2.25-1
                          tensorflow              1.1.0-2              1.1.0-3
              python-tensorflow-cuda                    -              1.1.0-3
                     tensorflow-cuda                    -              1.1.0-3


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
                           aisleriot 3.22.1+9+gb30db7aa-1             3.22.2-1
                                 gdm             3.24.1-1             3.24.2-1
                      gnome-calendar             3.24.1-1             3.24.2-1
                      gnome-terminal             3.24.1-1             3.24.2-1
                         gnome-todo3.24.0.1+21+ge7aaeee-1             3.24.1-1
                           gucharmap   9.0.3+2+g4ec9d55-1              9.0.4-1
                              libgdm             3.24.1-1             3.24.2-1
                          vte-common 0.48.2+2+g837cce9c-1             0.48.3-1
                                vte3 0.48.2+2+g837cce9c-1             0.48.3-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-05-10           2017-05-10
-------------------------------------------------------------------------------
                           aisleriot 3.22.1+9+gb30db7aa-1             3.22.2-1
                                 gdm             3.24.1-1             3.24.2-1
                      gnome-calendar             3.24.1-1             3.24.2-1
                      gnome-terminal             3.24.1-1             3.24.2-1
                         gnome-todo3.24.0.1+21+ge7aaeee-1             3.24.1-1
                           gucharmap   9.0.3+2+g4ec9d55-1              9.0.4-1
                              libgdm             3.24.1-1             3.24.2-1
                          vte-common 0.48.2+2+g837cce9c-1             0.48.3-1
                                vte3 0.48.2+2+g837cce9c-1             0.48.3-1

Updated 2 machines with no issues

I already noticed (and reported) this with the unstable update 2017-05-02. Since I couldn’t find out which package would cause it, I downgraded everything to stable and it stopped. Now that I gave testing a try, the same keeps happening, that is that as long as Thunar is open (in Xfce), .xsession-errors keeps filling up with this error. It only stops when I close Thunar. When I open it again, it continues.

(Thunar:586): GLib-CRITICAL **: g_file_test: assertion ‘filename != NULL’ failed

Some more packages added …

I can confirm the error.

[jan@jan-pc ~]$ sudo thunar
[sudo] Passwort für jan: 

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
 NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed

(thunar:1456): GLib-CRITICAL **: g_file_test: assertion 'filename != 
NULL' failed
[jan@jan-pc ~]$ su
Passwort: 
[jan-pc jan]# thunar
Thunar: Failed to initialize Xfconf: Did not receive a reply. Possible 
causes include: the remote application did not send a reply, the 
message bus security policy blocked the reply, the reply timeout 
expired, or the network connection was broken.

Error creating proxy: Verbindung ist geschlossen (g-io-error-quark, 18)

I think my copy-paste stopped working.
Chrome > Chrome works
Chrome > Gedit doesn’t work
Chrome > gnome-terminal doesn’t work

Any idea why?

Edit: related (https://bugs.archlinux.org/index.php?do=details&task_id=54000&action=details.add_notification&ids=54000&user_id=18587)?

I’m having the same problem with copy-paste – so far noticed it in Thunderbird and the xfce4-terminal. Thanks for the link…

The copy-paste error is probably an issue when trying to copy from Xorg apps and paste into Wayland apps.

From the bug report linked by AfouToPatisa:

After updating gtk3 (3.22.12+6+g42aa4c138c-1 -> 3.22.13-1) and a couple other packages ( gtk-update-icon-cache (3.22.12+6+g42aa4c138c-1 -> 3.22.13-1) and gtk3-print-backends (3.22.12+6+g42aa4c138c-1 -> 3.22.13-1) ) pasting is not working for all programs using gtk3. I have tested with firefox, wireshark-gtk, libreoffice-still and evince.

Copying from programs using gtk3 works, as in copy from firefox paste in geany, but copying from geany and pasting in firefox does not work both using ctrl-c + ctrl-v or using the middle mouse button.

Makes my head spin!

Well, did you reboot your systems yet? On my end I can copy and paste from palemoon to gedit just fine. Also into mousepad.

Just rebooted and copy paste problem persists. I tried firefox > gedit and it doesn’t work.

@AfouToPatisa: I just checked that on my XFCE desktop. Seems to be fine with gtk 3.22.14-1.

1 Like

@philm Yep it works now! As soon as I read your msg I got this update:

[2017-05-11 08:51] [ALPM] transaction completed
[2017-05-11 08:51] [ALPM] upgraded nm-connection-editor (1.4.6-1 -> 1.8.0-1)
[2017-05-11 08:51] [ALPM] upgraded networkmanager (1.8.0-0 -> 1.8.0-1)
[2017-05-11 08:51] [ALPM] upgraded libnm-glib (1.8.0-0 -> 1.8.0-1)
[2017-05-11 08:51] [ALPM] upgraded libnm (1.8.0-0 -> 1.8.0-1)
[2017-05-11 08:51] [ALPM] upgraded libnewt (0.52.19-3 -> 0.52.20-1)
[2017-05-11 08:51] [ALPM] upgraded gtk3-print-backends (3.22.13-1 -> 3.22.14-1)
[2017-05-11 08:51] [ALPM] upgraded gtk3 (3.22.13-1 -> 3.22.14-1)
[2017-05-11 08:51] [ALPM] upgraded gtk-update-icon-cache (3.22.13-1 -> 3.22.14-1)
[2017-05-11 08:51] [ALPM] transaction started

Then rebooted and all good. Thanks!

Sometimes it is better to test a little longer before doing a new stable update :stuck_out_tongue:

4 Likes

I confirm that gtk3 3.22.14-1 fixed the “copy-paste” error. :slight_smile:

Very true. On the other hand: I can’t wait. :wink:

1 Like

Forum kindly sponsored by